'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _webpack = require('webpack');

var _webpack2 = _interopRequireDefault(_webpack);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable no-useless-escape */

var getParsleyLocalesRegExp = function getParsleyLocalesRegExp(locales) {
  if (locales === undefined || !Array.isArray(locales)) {
    return null;
  }

  var parsleyLocales = '';

  if (locales.length > 0) {
    locales.forEach(function (locale, index) {
      parsleyLocales += '' + (index !== 0 ? '|' : '') + locale;
    });

    return new RegExp('(' + parsleyLocales + ').js');
  }

  return null;
}; /*
    * This file is part of the Front Foundation package.
    *
    * Copyright (c) 2017-present LIN3S <info@lin3s.com>
    *
    * For the full copyright and license information, please view the LICENSE
    * file that was distributed with this source code.
    *
    * @author Mikel Tuesta <mikeltuesta@gmail.com>
    */

var parsleyWebpackContextReplacementPlugin = function parsleyWebpackContextReplacementPlugin(locales) {
  return new _webpack2.default.ContextReplacementPlugin(/parsleyjs[\/\\]dist[\/\\]i18n/, getParsleyLocalesRegExp(locales));
};

/* eslint-enable no-useless-escape */

exports.default = parsleyWebpackContextReplacementPlugin;